
Redmine - Patch #42570

test_project_statuses_values_should_return_all_statuses should always run in "en"

2025-04-12 00:25 - Soren Stoutner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

My name is Soren Stoutner.  I have recently become one of the maintainers of the Debian Redmine package.

https://tracker.debian.org/pkg/redmine

We have experienced a problem where `test_project_statuses_values_should_return_all_statuses` sometimes fails because the test

sometimes runs in a foreign language, causing the return values to not match.

https://salsa.debian.org/ruby-team/redmine/-/jobs/7360518#L3870

This can be resolved by explicitly setting the language for this test, similar to

`test_project_statuses_filter_should_return_project_statuses`.

Attached is a patch.

Related issues:

Is duplicate of Redmine - Patch #42562: Fix random test failure in ProjectAdm... Closed

History

#1 - 2025-04-12 03:31 - Go MAEDA

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

Thank you for reporting this issue.

Actually, I fixed it yesterday in #42562.

#2 - 2025-04-12 03:32 - Go MAEDA

- Is duplicate of Patch #42562: Fix random test failure in ProjectAdminQueryTest due to missing language setting added

#3 - 2025-04-12 03:46 - Soren Stoutner

Thanks.

I apologize for not catching that before opening the issue.

Files

run-some-tests-in-English.patch 481 Bytes 2025-04-11 Soren Stoutner
